org.apache.commons.imaging.color

## Class ColorCmy

- java.lang.Object
- - org.apache.commons.imaging.color.ColorCmy

-     public final class ColorCmy
      extends Object

  Represents a color in the CMY color space.

  Contains the constant values for black, white, red, green, blue, cyan, magenta, and yellow.

  Since:
    1.0-alpha1
  See Also:
    https://en.wikipedia.org/wiki/CMY_color_model

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ColorCmy` | `BLACK` A constant for color black.
    `static ColorCmy` | `BLUE` A constant for color blue.
    `double` | `C`
    `static ColorCmy` | `CYAN` A constant for color cyan.
    `static ColorCmy` | `GREEN` A constant for color green.
    `double` | `M`
    `static ColorCmy` | `MAGENTA` A constant for color magenta.
    `static ColorCmy` | `RED` A constant for color red.
    `static ColorCmy` | `WHITE` A constant for color white.
    `double` | `Y`
    `static ColorCmy` | `YELLOW` A constant for color yellow.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColorCmy(double C, double M, double Y)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CYAN

          public static final ColorCmy CYAN

      A constant for color cyan. Color components are:

               cyan:    100
               magenta: 0
               yellow:  0

    - #### MAGENTA

          public static final ColorCmy MAGENTA

      A constant for color magenta. Color components are:

               cyan:    0
               magenta: 100
               yellow:  0

    - #### YELLOW

          public static final ColorCmy YELLOW

      A constant for color yellow. Color components are:

               cyan:    0
               magenta: 0
               yellow:  100

    - #### BLACK

          public static final ColorCmy BLACK

      A constant for color black. Color components are:

               cyan:    100
               magenta: 100
               yellow:  100

    - #### WHITE

          public static final ColorCmy WHITE

      A constant for color white. Color components are:

               cyan:    0
               magenta: 0
               yellow:  0

    - #### RED

          public static final ColorCmy RED

      A constant for color red. Color components are:

               cyan:    0
               magenta: 100
               yellow:  100

    - #### GREEN

          public static final ColorCmy GREEN

      A constant for color green. Color components are:

               cyan:    100
               magenta: 0
               yellow:  100

    - #### BLUE

          public static final ColorCmy BLUE

      A constant for color blue. Color components are:

               cyan:    100
               magenta: 100
               yellow:  0

    - #### C

          public final double C

    - #### M

          public final double M

    - #### Y

          public final double Y

  - ### Constructor Detail

    - #### ColorCmy

          public ColorCmy(double C,
                          double M,
                          double Y)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2007–2020 The Apache Software Foundation. All rights reserved.